ListQuantumComputersResponse#

Module: iqm.iqm_server_client.models

class iqm.iqm_server_client.models.ListQuantumComputersResponse(*, quantum_computers: list[QuantumComputer])#

Bases: PydanticBase

Response of GET /v1/quantum-computers.

Attributes

model_config

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

quantum_computers

List of available quantum computers.

Methods

Parameters:

quantum_computers (list[QuantumComputer])

quantum_computers: list[QuantumComputer]#

List of available quantum computers.

model_config: ClassVar[ConfigDict] = {'extra': 'ignore', 'ser_json_inf_nan': 'constants', 'validate_assignment': True, 'validate_default': True}#

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

Inheritance

Inheritance diagram of iqm.iqm_server_client.models.ListQuantumComputersResponse